Skip to main content
POST
/
api
/
ext
/
v1
/
people
/
get
List People
curl --request POST \
  --url https://staging-api.covver.io/api/ext/v1/people/get \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "collectionId": "<string>",
  "emails": [
    "<string>"
  ],
  "companyId": "<string>"
}
'
[
  {
    "id": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "email": "<string>",
    "balance": 123,
    "birthDate": "2023-11-07T05:31:56Z",
    "startDate": "2023-11-07T05:31:56Z",
    "externalId": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.covver.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
collectionId
string
required
emails
string[]

Emails of people to get. Leave empty to ignore

companyId
string

Response

Default Response

id
string
required
firstName
string
required
lastName
string
required
email
string
required
balance
number
required
birthDate
string<date-time> | null

ISO 8601 date-time, e.g. 2025-07-10T07:24:53.486Z

startDate
string<date-time> | null

ISO 8601 date-time, e.g. 2025-07-10T07:24:53.486Z

externalId
string | null